commit 17cf30ef591d17433253188d90faf1cde872d0f6
Author: Duco van Amstel <duco.vanamstel@gmail.com>
Date: Fri Oct 12 22:14:36 2018 +0000
diff --git a/.travis.yml b/.travis.yml
index 2ed4927..a51918b 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -18 +16 @@
language: go
go:
- #- 1.7.x
- - 1.10.x
- # - tip
+ - 1.11.x
# we have everything vendored
install: true
diff --git a/ci/bintray.sh b/ci/bintray.sh
index 1ca8ba2..b0fb7d6 100755
--- a/ci/bintray.sh
+++ b/ci/bintray.sh
@@ -15 +15 @@
#!/bin/bash
-go version |grep go1.10 || exit
+go version | grep go1.11 || exit
VERSION=$(git describe --tags)
mkdir ci/binaries
GOOS=windows GOARCH=amd64 go build -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-windows-amd64.exe
diff --git a/matterclient/matterclient.go b/matterclient/matterclient.go
index fbe331e..117a2fe 100644
--- a/matterclient/matterclient.go
+++ b/matterclient/matterclient.go
@@ -8437 +8437 @@ func (m *MMClient) StatusLoop() {
if m.OnWsConnect != nil {
m.OnWsConnect()
}
- m.log.Debug("StatusLoop:", m.OnWsConnect)
+ m.log.Debugf("StatusLoop: %p", m.OnWsConnect)
for {
if m.WsQuit {
return